aboutsummaryrefslogtreecommitdiff
path: root/speex
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-19 19:31:21 +0000
commit3b42ea2913d5aa8077aba9fe1761b824398f9804 (patch)
tree64bcbbc6876e27f863df0ef9e9346e22b8291294 /speex
parent8faf3506c7ee2a4a2f210d11d41ba91d9bd27eea (diff)
downloadslackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.gz
slackbuilds-3b42ea2913d5aa8077aba9fe1761b824398f9804.tar.bz2
fixing permissions, part 1
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@455 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'speex')
-rwxr-xr-xspeex/speex.SlackBuild147
1 files changed, 147 insertions, 0 deletions
diff --git a/speex/speex.SlackBuild b/speex/speex.SlackBuild
new file mode 100755
index 00000000..7612966f
--- /dev/null
+++ b/speex/speex.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/bash
+#
+# got it from http://ftp.cgu.edu.tw/Mirror/linuxpackages/Slackware-10.2-x86_64/pcxz/speex/speex.SlackBuild
+# small changes by rhatto
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+PACKAGE="speex"
+VERSION=${VERSION:=1.0.5}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+TMP=${TMP:=/tmp}
+SRC_DIR=${SRC:=$CWD}
+REPOS=${REPOS:=$TMP}
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://downloads.us.xiph.org/releases/speex/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+if [ "$ARCH" == "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" == "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" == "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" == "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR="/usr/lib64"
+else
+ LIBDIR="/usr/lib"
+fi
+
+TMP="$TMP/$PACKAGE"
+PKG=$TMP/package-$PACKAGE
+rm -rf $TMP
+mkdir -p $PKG
+cd $TMP
+
+rm -rf speex-$VERSION
+tar xvf$tarflag $SRC_DIR/speex-$VERSION.tar.gz
+cd speex-$VERSION
+
+chown -R root.root .
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+
+LDFLAGS=-L/usr/lib64 \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr --sysconfdir=/etc --disable-debug --libdir=$LIBDIR \
+ --program-prefix="" --program-suffix="" $ARCH-slackware-linux
+make || exit 32
+make install DESTDIR=$PKG
+
+( cd $PKG
+ for dn in usr usr/local usr/X11R6
+ do
+ for dn2 in bin sbin
+ do
+ for file in `find $dn/$dn2 -type f 2> /dev/null`
+ do
+ chown root.bin $PKG/$file /$file 2> /dev/null
+ done
+ done
+ done
+)
+( cd $PKG
+ for dn in usr usr/local usr/X11R6
+ do
+ for dn2 in man share/man info share/info
+ do
+ for file in `find $dn/$dn2 -type f 2> /dev/null`
+ do
+ gzip -9f $PKG/$file /$file 2> /dev/null
+ done
+ done
+ done
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/speex-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/speex-$VERSION
+mkdir -p $PKG/install
+
+cat << EOF > $PKG/install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+speex: speex
+speex:
+speex: The Speex is a patent-free, Open Source/Free Software voice codec.
+speex:
+speex:
+speex:
+speex:
+speex:
+speex:
+speex:
+speex:
+EOF
+
+if [ -f $CWD/slack-required ]; then
+ cat $CWD/slack-required > $PKG/install/slack-required
+fi
+
+cd $PKG
+makepkg -l y -c n $REPOS/speex-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+